@charset "UTF-8";
/* CSS Document */

/* ボタンのスタイル */
.hamburger {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 25px;
  cursor: pointer;
  z-index: 100000; /* メニューより手前に */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.hamburger span {
  display: block;
  height: 4px;
  width: 100%;
  background-color:#525F93;
  transition: 0.3s;
}

/* サイドバーの基本設定 */
.sidebar {
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  height: 100%;
  background-color:#4E94D5;
  color: white;
  padding-top: 80px;
  transition: transform 0.4s ease;
  transform: translateX(100%); /* 左側に隠す */
  z-index: 90;
}

/* メニューが開いた時のクラス */
.sidebar.active {
  transform: translateX(0);
}

/* リストの装飾 */
.sidebar ul {
  list-style: none;
  padding: 0;
}

.sidebar ul li a {
  display: block;
  padding: 15px 25px;
  color: white;
  text-decoration: none;
  transition: 0.3s;
}

.sidebar ul li a:hover {
  background-color: #525F93;
}

/* 背景の暗幕 */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background:rgba(212,219,219,0.50);
  display: none; /* 通常は非表示 */
  z-index: 80;
}

.overlay.active {
  display: block;
}

/* ボタンのアニメーション（×印にする） */
.hamburger.active span:nth-child(1) {
  transform: translateY(10px) rotate(45deg);
}
.hamburger.active span:nth-child(2) {
  opacity: 0;
}
.hamburger.active span:nth-child(3) {
  transform: translateY(-11px) rotate(-45deg);
}